#
# spec file for package python-poppler-qt5
#
# Copyright (c) 2020 SUSE LLC
# Copyright (c) 2011 LISA GmbH, Bingen, Germany.
# Copyright (c) 2012 Johannes Engel <jcnengel@gmail.com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-poppler-qt5
Version:        0.75.0
Release:        lp152.1.1
Summary:        Python binding to poppler-qt5
License:        LGPL-2.1-or-later
Group:          Development/Languages/Python
URL:            https://pypi.org/project/python-poppler-qt5/
Source0:        https://files.pythonhosted.org/packages/6a/7d/65a14ece5dd6a1564b576c1ca30b0f5639be64cc55b62b4d2b497159ed43/%{name}-%{version}.tar.gz
BuildRequires:  %{python_module sip-devel}
BuildRequires:  libpoppler-qt5-devel
BuildRequires:  python-rpm-macros
BuildRequires:  python3-qt5-devel
%requires_eq    python-qt5
Requires:       python-sip(api) = %{python_sip_api_ver}
Obsoletes:      python-poppler-qt4
Obsoletes:      python-poppler-qt5
%python_subpackages

%description
A Python binding for libpoppler-qt5 that aims for completeness
and for being actively maintained.

%prep
%setup -q

%build
export PATH=%{_libdir}/qt5/bin:$PATH
%python_build

%install
export PATH=%{_libdir}/qt5/bin:$PATH
%python_install

%files %{python_files}
%license LICENSE
%doc ChangeLog README.rst TODO
%{python3_sitearch}/popplerqt5*.so
%{python3_sitearch}/python_poppler_qt5*.egg-info

%changelog
* Fri Jan  3 2020 Cor Blom <cornelis@solcon.nl>
- Add Obsoletes: python-poppler-qt5 to prevent file conflict in
  Leap 15.2
* Fri Dec 27 2019 Cor Blom <cornelis@solcon.nl>
- Update to version 0.75.0:
  * add LinkOCGState
  * Enable C++11 support in setup.py (Alex Ball)
  * Fix build error on MacOSX (Davide Liessi)
  * Added more methods in Poppler Qt5 api (WB)
- Switch back to official project, which is alive again
- Update URLs to the official ones
* Sat Dec 15 2018 Fabian Vogt <fabian@ritter-vogt.de>
- Require specific version of SIP (boo#1119580)
* Sat Dec 15 2018 Cor Blom <cornelis@solcon.nl>
- Require specific python-qt5 version (boo#1119580)
* Tue May 29 2018 mcepl@suse.com
- Clean SPEC file
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Thu Mar 23 2017 cornelis@solcon.nl
- Change RPM Group to Development/Languages/Python
* Wed Jan 25 2017 cornelis@solcon.nl
- Switch to the zehome fork, which is better maintained at the
  moment and use released tarball.
* Tue Jan 24 2017 cornelis@solcon.nl
- Update to git to get necessary fixes
* Mon Jan 23 2017 cornelis@solcon.nl
- Initial package, replaces python-poppler-qt4
